from peewee import SqliteDatabase, Model, IntegerField, TextField

db = SqliteDatabase('./db/sdo.db', pragmas={'journal_mode': 'wal'})

class BaseModel(Model):
    class Meta:
        database = db

class SdoUser(BaseModel):
    id = IntegerField(primary_key=True)
    user_id = TextField(null=True)
    phone = TextField()
    password = TextField(null=True)
    
    autokey = TextField(null=True)
    ticket = TextField(null=True)
    last_login_time = IntegerField(null=True)
    sifkey = TextField(null=True)
    
db.create_tables([SdoUser])
