from sanic import Blueprint

from .api              import bp_sif_api

from .modules.album    import bp_sif_album
from .modules.costume  import bp_sif_costume
from .modules.download import bp_sif_download
from .modules.live     import bp_sif_live
from .modules.login    import bp_sif_login
from .modules.misc     import bp_sif_misc
from .modules.scenario import bp_sif_scenario
from .modules.unit     import bp_sif_unit
from .modules.user     import bp_sif_user

bp_sif = Blueprint.group(bp_sif_api,
                         bp_sif_album,
                         bp_sif_costume,
                         bp_sif_download,
                         bp_sif_live,
                         bp_sif_login,
                         bp_sif_misc,
                         bp_sif_scenario,
                         bp_sif_unit,
                         bp_sif_user,
                         url_prefix="main.php")

