from sanic import Blueprint, Request

import time

from ..common import common_api



bp_sif_album = Blueprint("sif_album", url_prefix="album")



@bp_sif_album.route("albumAll", methods=["POST"])
@common_api
async def albumAll(request: Request):
        
    ### TODO - PLACEHOLDER ###
    
    resp = []
    for i in range(9):
        resp.append({
            "unit_id": i + 1,
            "rank_max_flag": True,
            "love_max_flag": True,
            "rank_level_max_flag": True,
            "all_max_flag": True,
            "highest_love_per_unit": 50,
            "total_love": 50,
            "favorite_point": 1000,
            "sign_flag": False
        })
    return resp