from sanic import Blueprint, Request

import time

from ..common import common_api



bp_sif_scenario = Blueprint("sif_scenario") # , url_prefix="scenario")



@bp_sif_scenario.route("/scenario/scenarioStatus", methods=["POST"])
@common_api
async def scenario_scenarioStatus(request: Request):
    # scenario_id_list = [t[0] for t in get_masterdata("scenario.db", "scenario_m", ["scenario_id"])]
    scenario_id_list = list(range(1, 333)) + list(range(3000, 3102)) + list(range(4000, 4018))
    for i in [3046,3049,3065,3066,3067,3068,3069]: scenario_id_list.remove(i)
    resp = {
        "scenario_status_list": []
    }
    for i in scenario_id_list:
        resp["scenario_status_list"].append({
            "scenario_id": i,
            "status": 2
        })

    return resp



@bp_sif_scenario.route("/subscenario/subscenarioStatus", methods=["POST"])
@common_api
async def subscenario_subscenarioStatus(request: Request):
    # subscenario_id_list = [t[0] for t in get_masterdata("scenario.db", "subscenario_m", ["subscenario_id"])] # not found
    subscenario_id_list = list(range(1, 3384))
    for i in [67,69,70,143,572,573,2563,2564,2565,2575,2594,2617,2634,2635,2638,2808,2838,
              2839,2992,2993,3176,3213,3214,3215,3216,3217,3218,3224,3225,3226,3347]:
        subscenario_id_list.remove(i)
    subscenario_id_list += [90001,90002,90003,90004,90005]
    resp = {
        "subscenario_status_list": [],
        "unlocked_subscenario_ids": []
    }
    for i in subscenario_id_list:
        resp["subscenario_status_list"].append({
            "subscenario_id": i,
            "status": 2
        })

    return resp