from sanic import Blueprint, Request, json
from sanic.log import logger

bp_sdo_misc = Blueprint("sdo_misc")


@bp_sdo_misc.route("/report/ge/app", methods=["GET", "POST"])
async def report(request: Request):
    # logger.debug(request.body.decode())
    return json({ "code": 0, "msg": "", "data": { "needReport": 0 } })


@bp_sdo_misc.route("/agreement/all", methods=["GET", "POST"])
async def agreement(request: Request):
    logger.debug(request.body.decode())
    return json({ "return_code": 0, "error_type": 0, "return_message": "", "data": { } })